summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorLaura Abbott <labbott@redhat.com>2018-08-16 09:30:07 -0700
committerLaura Abbott <labbott@redhat.com>2018-08-16 09:34:06 -0700
commit094049e9bf58dacf3de5c153084209c3193acf2a (patch)
treed301c5431ce3005be82ac35341c1802e9974e729 /scripts
parente617f01aa2b9b1c8fb710de46f821277aaa7a99c (diff)
downloadkernel-094049e9bf58dacf3de5c153084209c3193acf2a.tar.gz
kernel-094049e9bf58dacf3de5c153084209c3193acf2a.tar.xz
kernel-094049e9bf58dacf3de5c153084209c3193acf2a.zip
Disable GPG checking for now
kernel.org switched how they generate GPG signatures. This doesn't work with the existing scripts so disable this for now.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/stable-update.sh28
1 files changed, 15 insertions, 13 deletions
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
index 2ea5fb78b..a2ab4904a 100755
--- a/scripts/stable-update.sh
+++ b/scripts/stable-update.sh
@@ -42,20 +42,22 @@ if [ ! -f patch-$1.xz ]; then
fi
fi
-if [ ! -f "patch-$1.sign" ]; then
- wget "https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.sign"
- if [ ! $? -eq 0 ]; then
- echo "Signature download failed"
- exit 1
- fi
-fi
+# This all needs to be updated for the new generation system
+#
+# if [ ! -f "patch-$1.sign" ]; then
+# wget "https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.sign"
+# if [ ! $? -eq 0 ]; then
+# echo "Signature download failed"
+# exit 1
+# fi
+# fi
-xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
-if [ ! $? -eq 0 ]; then
- echo "Patch file has invalid or untrusted signature!"
- echo "See https://www.kernel.org/category/signatures.html"
- exit 1
-fi
+# xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
+# if [ ! $? -eq 0 ]; then
+# echo "Patch file has invalid or untrusted signature!"
+# echo "See https://www.kernel.org/category/signatures.html"
+# exit 1
+# fi
grep $1 sources &> /dev/null
if [ ! $? -eq 0 ]; then